{% extends "base.html" %}
{% load static i18n seawatch_registration_tags %}
{% block content %}
  <h1>{% trans "Operations" %}</h1>
  <div>
    <ul class="operation-heading">
      <li>
        <h2>
          <a href="{% url "operation_list" %}" class="planned-operations active">{% trans "Planned Operations" %}</a>
        </h2>
      </li>
      <li>
        <h2>
          <a href="{% url "past_operation_list" %}" class="past-operations">{% trans "Past Operations" %}</a>
        </h2>
      </li>
    </ul>
  </div>
  <table class="table">
    <thead>
      <tr>
        <th scope="col">Operation Name</th>
        <th scope="col">Start Date</th>
        <th scope="col">End Date</th>
      </tr>
    </thead>
    {% if operation_list %}
      <tbody>
        {% for operation in operation_list %}
          <tr>
            <th>{{ operation.name }}</th>
            <td>{{ operation.start_date }}</td>
            <td>{{ operation.end_date }}</td>
          </tr>
        {% endfor %}
      </tbody>
    {% else %}
      <tbody>
        <tr>
          <td class="empty-table-message" colspan="7">There are no past operations.</td>
        </tr>
      </tbody>
    {% endif %}
  </table>
{% endblock %}
